package org.faceless.pdf;

import java.util.*;

class ListPeer extends AbstractList
{
    private final List peer;

    ListPeer(List peer)
    {
        this.peer=peer;
    }

    public int size()
    {
	return peer.size();
    }

    public Object get(int i)
    {
	return PeeredObject.getPeer(peer.get(i));
    }

    public void add(int i, Object o)
    {
	peer.add(i, ((PeeredObject)o).getPeer());
    }

    public Object set(int i, Object o)
    {
	o = peer.set(i, ((PeeredObject)o).getPeer());
	return PeeredObject.getPeer(o);
    }

    public Object remove(int i)
    {
	Object o = peer.remove(i);
	return PeeredObject.getPeer(o);
    }
}
